#
# Conditional build:
%bcond_without	pcre	# PCRE support
%bcond_without	tests	# don't perform "make check"
#
Summary:	GNU grep Utilities
Summary(de.UTF-8):	GNU-Version der Pattern-Matching-Utilities
Summary(es.UTF-8):	Utilitarios grep GNU
Summary(fr.UTF-8):	Utilitaires grep de GNU
Summary(ja.UTF-8):	GNU grep の日本語対応版です.
Summary(pl.UTF-8):	GNU grep
Summary(pt_BR.UTF-8):	Utilitários grep GNU
Summary(ru.UTF-8):	Утилиты поиска по шаблонам GNU grep
Summary(tr.UTF-8):	Dosyalarda katar arama aracı
Summary(uk.UTF-8):	Утиліти пошуку по шаблонам GNU grep
Name:		grep
Version:	3.6
Release:	2
Epoch:		2
License:	GPL v3+
Group:		Applications/Text
Source0:	https://ftp.gnu.org/gnu/grep/%{name}-%{version}.tar.xz
# Source0-md5:	f47fe27049510b2249dba7f862ac1b51
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	1b5e726d0bee53e898531de4a76ad290
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		disable-unstable-test.patch
URL:		http://www.gnu.org/software/grep/grep.html
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools >= 0.18.2
%{?with_pcre:BuildRequires:	pcre-devel}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_exec_prefix	/

%description
The GNU versions of commonly used grep utilities. Grep searches one or
more input files for lines which contain a match to a specified
pattern and then prints the matching lines. GNU's grep utilities
include grep, egrep and fgrep.

%description -l de.UTF-8
Die GNU-Versionen der häufig benutzten grep-Utilities. Grep durchsucht
eine oder mehrere Eingabedateien nach Zeilen, die auf ein angegebenes
Muster passen, und zeigt dann die entsprechenden Zeilen an. GNUs grep
enthält grep, egrep und fgrep.

%description -l es.UTF-8
Esta es la implementación GNU del popular utilitario grep. Permite la
localización rápida de strings en archivos texto.

%description -l fr.UTF-8
Ceci est l'implémentation par GNU du populaire l'utilitaire grep su
Unix. Il permet de localiser rapidement des chaînes de caractéres dans
les fichiers.

%description -l ja.UTF-8
GNU プロジェクトによる grep, egrep, fgrep (以下単に grep) をマルチバ
イトパッチ(mb1.04)によって日本語対応にしたものです.

%description -l pl.UTF-8
GNU grep jest implementacją popularnego programu uniksowego `grep'.
Grep jest jednym z podstawowych narzędzi, korzysta z niego prawie
każdy skrypt shella.

%description -l pt_BR.UTF-8
Esta é a implementação GNU do popular utilitário grep. Permite a
localização rápida de strings em arquivos texto.

%description -l ru.UTF-8
Это реализация GNU утилиты grep, предназначенной для быстрого поиска
по образцу в текстовых файлах.

%description -l tr.UTF-8
Bu, bütün Unix'lerde bulunan ve yaygın olarak kullanılan grep aracının
GNU sürümüdür. Metin dosyaları içinde bulunan katarları aramada
kullanılır.

%description -l uk.UTF-8
Це GNU реалізація популярної утиліти grep, призначеної для швидкого
пошуку по шаблону в текстових файлах.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_pcre:--disable-perl-regexp} \
	--disable-silent-rules \
	--without-included-regex
%{__make}

%if %{with tests}
# mksh fails "unset columns" check (bash and pdksh are OK)
%{__make} -j1 check-expensive \
	SHELL=/bin/bash
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/shrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo .so grep.1 > $RPM_BUILD_ROOT%{_mandir}/man1/egrep.1
echo .so grep.1 > $RPM_BUILD_ROOT%{_mandir}/man1/fgrep.1

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

cat << EOF >$RPM_BUILD_ROOT/etc/shrc.d/grep.sh
#alias grep='/bin/grep --devices=skip --directories=skip --color=auto'
EOF
cat << EOF >$RPM_BUILD_ROOT/etc/shrc.d/grep.csh
#alias grep '/bin/grep --devices=skip --directories=skip --color=auto'
EOF

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.grep-non-english-man-pages
%{__rm} $RPM_BUILD_ROOT%{_mandir}/ja-grep-nozgrep.diff

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%config(noreplace) %verify(not md5 mtime size) /etc/shrc.d/grep.*sh
%attr(755,root,root) %{_bindir}/egrep
%attr(755,root,root) %{_bindir}/fgrep
%attr(755,root,root) %{_bindir}/grep
%{_mandir}/man1/egrep.1*
%{_mandir}/man1/fgrep.1*
%{_mandir}/man1/grep.1*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/grep.info*
%changelog
* Sun Jan 03 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grep.git;a=log;h=master

* Sun Jan 03 2021 Jan Rękorajski <baggins@pld-linux.org> 92db46c
- disable test failing due to stdout redirects in builder script
- rel 2

* Tue Nov 17 2020 Jakub Bogusz <qboosh@pld-linux.org> a8e68ee
- updated to 3.6

* Sat Oct 03 2020 Jan Palus <atler@pld-linux.org> 7efced9
- up to 3.5

* Tue Jan 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 0f4a11a
- updated to 3.4
- updated pl.po-update patch

* Sat Dec 22 2018 Jan Palus <atler@pld-linux.org> 6a8cd89
- up to 3.3

* Wed Jul 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 742ad1a
- updated to 3.1

* Sun Feb 26 2017 Marcin Banasiak <marcin.banasiak@gmail.com> dd919af
- Update to 3.0

* Wed Feb 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 1325d3e
- updated to 2.28 (bugfix release)

* Wed Dec 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 4028713
- updated to 2.27

* Tue Oct 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 6c0cae5
- use bash for tests: mksh doesn't allow to unset COLUMNS
- release 2

* Sun Oct 23 2016 Jakub Bogusz <qboosh@pld-linux.org> a7850c2
- updated to 2.26

* Fri Aug 05 2016 Tomasz Pala <gotar@pld-linux.org> 5f07b1a
- restored shrc.d/grep.c?sh - there was no need for dropping, just
commenting out by default: c1edd1016a5175e4190df07a0c81b81f66749b4c

* Fri Aug 05 2016 Tomasz Pala <gotar@pld-linux.org> f2fca20
- restored shrc.d/grep.c?sh, there was no need for reverting, just
commenting out by default: c1edd1016a5175e4190df07a0c81b81f66749b4c

* Sun Apr 24 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c424a0
- up to 2.25

* Sun Mar 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 22c4134
- updated to 2.24

* Sat Feb 27 2016 Jan Rękorajski <baggins@pld-linux.org> 50829b3
- release 2 (by relup.sh)

* Sat Feb 27 2016 Jan Rękorajski <baggins@pld-linux.org> a241277
- disable long-pattern-perf test, it's too unstable

* Fri Feb 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 63b7124
- updated to 2.23
- removed obsolete enc-errors patch

* Tue Jan 05 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> fccf3f8
- rel 2; from upstream: be less picky about encoding errors

* Mon Nov 02 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bc630e
- don't run tests in parallel

